nxt.http.callers

## Class PublishExchangeOfferCall

- java.lang.Object
- - nxt.http.APICall.Builder<T>
  - - nxt.http.callers.CreateTransactionCallBuilder<PublishExchangeOfferCall>
    - - nxt.http.callers.PublishExchangeOfferCall

-     public class PublishExchangeOfferCall
      extends CreateTransactionCallBuilder<PublishExchangeOfferCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PublishExchangeOfferCall` | `buyRateNQT(long buyRateNQT)`
    `static PublishExchangeOfferCall` | `create()`
    `PublishExchangeOfferCall` | `currency(long currency)`
    `PublishExchangeOfferCall` | `currency(java.lang.String currency)`
    `PublishExchangeOfferCall` | `expirationHeight(long expirationHeight)`
    `PublishExchangeOfferCall` | `initialBuySupply(long initialBuySupply)`
    `PublishExchangeOfferCall` | `initialSellSupply(long initialSellSupply)`
    `PublishExchangeOfferCall` | `sellRateNQT(long sellRateNQT)`
    `PublishExchangeOfferCall` | `totalBuyLimit(long totalBuyLimit)`
    `PublishExchangeOfferCall` | `totalSellLimit(long totalSellLimit)`

    - ### Methods inherited from class nxt.http.callers.CreateTransactionCallBuilder

      `broadcast, compressMessageToEncrypt, compressMessageToEncryptToSelf, deadline, ecBlockHeight, ecBlockId, ecBlockId, encryptedMessageData, encryptedMessageData, encryptedMessageIsPrunable, encryptedMessageNonce, encryptedMessageNonce, encryptToSelfMessageData, encryptToSelfMessageData, encryptToSelfMessageNonce, encryptToSelfMessageNonce, feeNQT, message, messageIsPrunable, messageIsText, messageToEncrypt, messageToEncryptIsText, messageToEncryptToSelf, messageToEncryptToSelfIsText, phased, phasingFinishHeight, phasingHashedSecret, phasingHashedSecretAlgorithm, phasingHolding, phasingHolding, phasingLinkedFullHash, phasingLinkedFullHash, phasingMinBalance, phasingMinBalanceModel, phasingQuorum, phasingVotingModel, phasingWhitelisted, publicKey, publicKey, recipientPublicKey, recipientPublicKey, referencedTransactionFullHash, referencedTransactionFullHash, secretPhrase`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static PublishExchangeOfferCall create()

    - #### totalSellLimit

          public PublishExchangeOfferCall totalSellLimit(long totalSellLimit)

    - #### initialSellSupply

          public PublishExchangeOfferCall initialSellSupply(long initialSellSupply)

    - #### buyRateNQT

          public PublishExchangeOfferCall buyRateNQT(long buyRateNQT)

    - #### expirationHeight

          public PublishExchangeOfferCall expirationHeight(long expirationHeight)

    - #### totalBuyLimit

          public PublishExchangeOfferCall totalBuyLimit(long totalBuyLimit)

    - #### sellRateNQT

          public PublishExchangeOfferCall sellRateNQT(long sellRateNQT)

    - #### currency

          public PublishExchangeOfferCall currency(java.lang.String currency)

    - #### currency

          public PublishExchangeOfferCall currency(long currency)

    - #### initialBuySupply

          public PublishExchangeOfferCall initialBuySupply(long initialBuySupply)